summaryrefslogtreecommitdiff
path: root/tests/fate-run.sh
diff options
context:
space:
mode:
authorClément Bœsch <cboesch@gopro.com>2017-05-05 09:19:41 +0200
committerClément Bœsch <cboesch@gopro.com>2017-05-05 09:27:18 +0200
commitf5218b27c4f8ad06dfd6f491362c027d37ab85ce (patch)
treea95777dfd6f3762333cbb2dcdf663f5431022fec /tests/fate-run.sh
parenta5fdda79eee0b195ef4958193d17e68b820c8856 (diff)
parent35d1f726eb9fdd376ab900587fb02122b72f2b9a (diff)
Merge commit '35d1f726eb9fdd376ab900587fb02122b72f2b9a'
* commit '35d1f726eb9fdd376ab900587fb02122b72f2b9a': fate: Add --ignore-tests configure option for omitting specific FATE tests Merged-by: Clément Bœsch <cboesch@gopro.com>
Diffstat (limited to 'tests/fate-run.sh')
-rwxr-xr-xtests/fate-run.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 3e8d43c930..0cf31e9477 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -24,6 +24,7 @@ size_tolerance=${14:-0}
cmp_unit=${15:-2}
gen=${16:-no}
hwaccel=${17:-none}
+report_type=${18:-standard}
outdir="tests/data/fate"
outfile="${outdir}/${test}"
@@ -362,13 +363,17 @@ if test -e "$ref" || test $cmp = "oneline" || test $cmp = "grep" ; then
esac
cmperr=$?
test $err = 0 && err=$cmperr
- test $err = 0 || cat $cmpfile
+ if [ "$report_type" = "ignore" ]; then
+ test $err = 0 || echo "IGNORE fate-${test}" && err=0
+ else
+ test $err = 0 || cat $cmpfile
+ fi
else
echo "reference file '$ref' not found"
err=1
fi
-if [ $err -eq 0 ]; then
+if [ $err -eq 0 ] && test $report_type = "standard" ; then
unset cmpo erro
else
cmpo="$($base64 <$cmpfile)"